Bug 499107 - system hangs on suspend
system hangs on suspend
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 04:53 EDT by Mads Kiilerich
Modified: 2012-06-26 13:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 17:51:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (39.06 KB, text/plain)
2009-05-05 04:53 EDT, Mads Kiilerich
no flags Details
/var/log/messages with drm.debug=1 (936.98 KB, text/plain)
2009-05-11 11:17 EDT, Mads Kiilerich
no flags Details
/var/log/messages with drm.debug=1 (1.27 MB, text/plain)
2009-05-12 08:08 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2009-05-05 04:53:22 EDT
Created attachment 342421 [details]
dmesg

Description of problem:

My system can no longer suspend. It is left frozen with the screen unlock password prompt shown.

This is a recent regression


Version-Release number of selected component (if applicable):

kernel-PAE-2.6.29.2-126.fc11.i686
xorg-x11-drv-ati-6.12.2-11.fc11.i586

01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)
Comment 1 Mads Kiilerich 2009-05-11 11:17:16 EDT
Created attachment 343467 [details]
/var/log/messages with drm.debug=1

Reproduced with 
kernel-PAE-2.6.29.3-135.fc11.i686 drm.debug=1
xorg-x11-drv-ati-6.12.2-13.fc11.i586
Comment 2 Mads Kiilerich 2009-05-11 11:31:16 EDT
further info requested by fcami:
mesa-libGL-7.5-0.9.fc11.i586
mesa-dri-drivers-7.5-0.9.fc11.i586
Comment 3 Mads Kiilerich 2009-05-12 08:08:29 EDT
Created attachment 343573 [details]
/var/log/messages with drm.debug=1

I noticed new mesa packages and retested - but same behaviour

kernel-PAE-2.6.29.3-137.fc11.i686
xorg-x11-drv-ati-6.12.2-13.fc11.i586
mesa-libGL-7.5-0.14.fc11.i586
mesa-dri-drivers-7.5-0.14.fc11.i586

01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)
Comment 4 Mads Kiilerich 2009-05-26 09:02:31 EDT
Same story with
kernel-PAE-2.6.29.3-155.fc11.i686
xorg-x11-drv-ati-6.12.2-14.fc11.i586
mesa-libGL-7.5-0.14.fc11.i586
mesa-dri-drivers-7.5-0.14.fc11.i586
Comment 5 Bug Zapper 2009-06-09 11:10:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mads Kiilerich 2010-01-13 17:51:36 EST
It works now with KMS and
kernel-PAE-2.6.32.3-24.fc12.i686
xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.i686
mesa-libGL-7.7-2.fc12.i686
mesa-dri-drivers-7.7-2.fc12.i686

Note You need to log in before you can comment on or make changes to this bug.